﻿@model  EnergyMission.Domain.Entities.StructureDivisionEntity
@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}

@using (Html.BeginForm("Create", "StructureDivisions", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="bottom delete locationBottom">
        <div class="left">
            <label class="name">Name*</label>
            <div class="select-btn3">
                @Html.TextBoxFor(model => model.Name)
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                </div>
            </div>
            <div class="clearfix"></div>
            <label class="name">Location*</label>
            <div class="select-btn3">
                @Html.DropDownListFor(model => model.LocationId, cs.LocationList, "Select Location", new { @class = "my-dropdown" })
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.LocationId, "", new { @class = "error-message eql_height" })
                </div>
            </div>
            <div class="clearfix"></div>
            <label class="name">Site*</label>
            <div class="select-btn3">
                @Html.DropDownListFor(model => model.SiteId, cs.SiteList, "Select Site", new { @class = "my-dropdown" })
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.SiteId, "", new { @class = "error-message eql_height" })
                </div>
            </div>
        </div>
       
        <div class="right locationRight">
            <label class="name">Structure*</label>
            <div class="select-btn3">
                @Html.DropDownListFor(model => model.StructureId, cs.StructureList, "Select Structure", new { @class = "my-dropdown" })
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.StructureId, "", new { @class = "error-message eql_height" })
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <div class="bottom delete LocationMappings">
        <div class="fullWidth">
            <input class="save button" name="button" type="submit" value="Save" />
            <input class="done button restore" name="button" onclick="cancelall();" type="button" value="Cancel" />
            <input id="strucureDI" class="done button" name="button" type="button" value="Done" />
        </div>
    </div>

}







































@*@model  EnergyMission.Web.ViewModels.StructureDivision.StructureDivisionAddEditViewModel

@{
    string actionName = (string)ViewData["ActionName"];
}

@using (var f = Html.Bootstrap().Begin(new Form(actionName, "StructureDivisions").LabelWidthMd(2).InputWidthMd(9)))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.StructureDivision.Id)

    @f.FormGroup().TextBoxFor(model => model.StructureDivision.Name).Placeholder("4th Floor").WidthMd(5)
    @f.FormGroup().DropDownListFor(m => m.StructureDivision.StructureId, Model.StructuresLookup).WidthMd(3).OptionLabel("(Select)").Label().LabelText("Structure")

    @Html.Partial("_SaveCancelForAddEdit")
}*@
